Subject: Re: [PATCH v2 4/4] powerpc/83xx: Add PCI-E support for all MPC83xx boards with PCI-E

From: Anton Vorontsov <[email-masked]>
Date: Wed, 7 Jan 2009 00:15:13 +0300

On Tue, Jan 06, 2009 at 02:38:57PM -0600, Kumar Gala wrote:
[...]
>>>>> Why?  Unless the BSP u-boots do something insane, I think we  
>>>>> should try
>>>>> to have the upstream kernel boot on the u-boot that comes on the  
>>>>> board
>>>>> (it's not nice to require users to reflash unnecessarily).
>>>>
>>>> Just in case, the latest version of this patch set is compatible  
>>>> with
>>>> the FSL u-boots.
>>>>
>>>
>>> Up to now, I was testing PCIe with this combo:
>>> - U-Boot 1.3.0-rc2 (Nov 19 2007 - 16:37:36) MPC83XX, was on the board
>>> - dtc 1.1.0
>>> - Linux 2.6.24.3 w/ Freescale patches from http://www.bitshrine.org/gpp/
>>>
>>>
>>> That u-boot (i.e. on the mpc8315e-rdb board) had PCIe initialization.
>>>
>>> Is u-boot PCIe initialization required for this kernel patch to work?
>>
>> Yup.
>
> Really?  what for?

Hm. U-Boot should initialize SerDes and PCI-E controller (pcie laws,
inbound/outbound windows, clocks, etc.)

Though if PCI-E controller wasn't initialized (i.e. board reflashed
with the community u-boot), Linux just won't probe the pcie controller:

cfg_bar = in_le32(hose->cfg_data + PEX_OUTWIN0_BAR);
if (!cfg_bar) {
	/* PCI-E isn't configured. */
	ret = -ENODEV;
	goto err1;
}

Or did I misunderstand the question?

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2